/*	MediaPlayerView.h	*/

#pragma once

#include <View.h>
#include "DataVideo.h"
#include <OS.h>
#include "Datatypes.h"



class MEDIAReaderStream;
class DStream;
class DefaultNotifier;


class MediaPlayerView :
	public BView
{
public:
								MediaPlayerView(
									BRect			area,
									DStream			*input,
									const DATAInfo	&info);
								~MediaPlayerView();
		void					Draw(
									BRect			area);
		void					MouseDown(
									BPoint			where);
private:
		DATAInfo				fInfo;
		BBitmap					*fBitmap;
		DStream					*fInput;
		MEDIAReaderStream		*fOutput;
		DefaultNotifier			*fNotifier;
		bool					fIsPlaying;
		thread_id				fThread;

static	long					ThreadFunc(
									void			*data);
};
