//	main.cpp

#include "ShowApp.h"
#include "Datatypes.h"

int
main(
	int		argc,
	char *	argv[])
{
	ShowApp app('SHOW');
	for (int ix=1; ix<argc; ix++) {
		record_ref ref;
		if (get_ref_for_path(argv[ix], &ref)) {
			fprintf(stderr, "can't find: %s\n", argv[ix]);
			continue;
		}
		BMessage *msg = new BMessage(B_REFS_RECEIVED);
		msg->AddRef("refs", ref);
		app.PostMessage(msg);
	}
	app.Run();
	DATAShutdown();
	return 0;
}


extern "C" void __unexpected();
void
__unexpected()
{
	DEBUGGER("unexpected exception thrown!");
	abort();
}
