/*	GetBitmap.h			*/
/*	hplus@mindcontrol.org	*/

#pragma once

class BBitmap;


/*	Get bitmap - first try as file name, then as DATA_BITMAP resource from app file */
BBitmap *		GetBitmap(
					const char			*name);

/*	Get bitmap - from file */
BBitmap *		GetBitmap(
					record_ref			ref);

/*	Get bitmap - from app resource file */
BBitmap *		GetBitmap(
					ulong				type,
					long				id);
BBitmap *		GetBitmap(
					ulong				type,
					const char			*name);
