// WWWStream.cpp by Simon Clarke (S.J.Clarke@herts.ac.uk) 

// This is a rather dumb stream in that it only knows how to read
// data from a web site when presented with the output given 
// from a simple HTTP request.  This is a rather limiting
// factor, in that you cannot call Size() correctly on the stream 
// because it has no idea of how much data there is left to read

// Please feel free to use this within your project, as long as 
// you give me a small credit :)

#include "WWWStream.h"

WWWStream::WWWStream(char *sitename, char *filepath) :
TCPStream(sitename,80)
{
	sprintf(requeststr,"GET /%s\n\r",filepath);
}

long WWWStream::SendRequest(int socket)
{
	if (send(socket,requeststr,strlen(requeststr),0) <= 0) return B_ERROR;
	else return B_NO_ERROR;
}