#!/bin/sh
#	copy files to destinations

#	Set up variables

LIBRARY="Datatypes.lib Datatypes.lib.xMAP Datatypes.lib.xSYM"
HANDLERS="TextHandler TextHandler.xMAP TextHandler.xSYM DumpHandler DumpHandler.xMAP DumpHandler.xSYM VideoHandler VideoHandler.xMAP"

LIBTARGET="/system/lib"
HANDTARGET="/boot/Datatypes"


#	Do library

if [ \! -d "$LIBTARGET" ]; then mkdir "$LIBTARGET"; fi

for i in $LIBRARY
do  if [ -f $i ]; then cp $i "$LIBTARGET"; fi
done


#	Do handlers

if [ \! -d "$HANDTARGET" ]; then mkdir "$HANDTARGET"; fi

for i in $HANDLERS
do	if [ -f $i ]; then cp $i "$HANDTARGET"; fi
done

